%define rel   1

Name: kcolorchooser
Summary: KDE Color Chooser
Version: 4.8.2
Release: %mkrel %{rel}
Epoch: 2
Group: Graphics
License: GPLv2
URL: http://www.kde.org
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.xz
BuildRequires: kdelibs4-devel >= 2:%{version}

# Branch Patch (100-200)

%description
KColorChooser is a simple application to select the color from the screen or
from a pallete.
Features :
   - Select colors from any location on the screen.
   - Select colors from a range of standard palletes available.
   - Color values shown in Hue-Saturation-Value (HSV), Red-Green-Blue (RGB) and
     HTML formats.

%files
%_kde_bindir/kcolorchooser
%_kde_applicationsdir/kcolorchooser.desktop
%_kde_iconsdir/*/*/*/kcolorchooser*

#------------------------------------------------------------------------------

%prep
%setup -q

%build
export LD=/usr/bin/ld.gold 
%cmake_kde4 -DKDE4_ENABLE_FINAL=ON
%make

%install
rm -fr %buildroot
%makeinstall_std -C build


%changelog

* Wed Apr 04 2012 fwang <fwang> 2:4.8.2-1.mga2
+ Revision: 228361
- new version 4.8.2

* Thu Mar 08 2012 mikala <mikala> 2:4.8.1-1.mga2
+ Revision: 221472
- New upstream tarball

* Thu Jan 19 2012 mikala <mikala> 2:4.8.0-1.mga2
+ Revision: 198204
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 2:4.7.97-0.mga2
+ Revision: 190913
- Update tarball to KDE SC 4.7.97

* Thu Dec 22 2011 mikala <mikala> 2:4.7.95-1.mga2
+ Revision: 185981
- Update tarball to KDE SC 4.7.95
- fix group

* Thu Dec 15 2011 mikala <mikala> 2:4.7.90-1.mga2
+ Revision: 181890
- Update tarball to KDE SC 4.7.90

* Sun Dec 04 2011 mikala <mikala> 2:4.7.4-1.mga2
+ Revision: 176357
- Update tarball to KDE SC 4.7.4

* Tue Nov 01 2011 mikala <mikala> 2:4.7.3-1.mga2
+ Revision: 161108
- Update tarball to KDE SC 4.7.3

* Wed Oct 05 2011 mikala <mikala> 2:4.7.2-1.mga2
+ Revision: 151935
- Update tarball to KDE SC 4.7.2

* Wed Sep 07 2011 mikala <mikala> 2:4.7.1-0.mga2
+ Revision: 140627
- Update tarball to KDE SC 4.7.1
- Split handbook in his own package (mga #2101)
- Remove %%clean section
- Update tarball to KDE SC 4.7.0
- use kde macros
- remove %%defattr

* Mon Jul 11 2011 mikala <mikala> 2:4.6.95-1.mga2
+ Revision: 122385
- Update tarball to KDE 4.6.95 ( KDE SC 4.7 RC2 )

* Mon Jun 27 2011 mikala <mikala> 2:4.6.90-1.mga2
+ Revision: 114960
- imported package kcolorchooser

